-- 基础信息
base_info = {
	group_id = 133004471
}

-- DEFS_MISCS
defs = {
        group_id = 133004471,
        gadget_prison_list = {471003},
        gadget_guide = {471074,471004,471005},
        bait_list = {
                [1] = {471065,471066,471067},
                [2] = {471006,471081,471082},
                [3] = {471083,471084,471085},
        },
        duration = 210,
        rampage_time = 40,
        gadget_energy = 471068,
        galleryId = 7001,
        eye_point = 471002,
}


local energy_info = {
        [1] = { time = 100, step = {-30,30},points = {471075,471076,471077,471078,471079,471080}},
        --[2] = { time = 180, step = {-1,1},points = {471075,471076,471077,471078,471079,471080}},
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	-- 抓捕者
	[471003] = { config_id = 471003, gadget_id = 70310056, pos = { x = 1885.754, y = 226.355, z = -903.117 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, level = 1, area_id = 3 },
	-- 场景猎人引导1
	[471004] = { config_id = 471004, gadget_id = 44000106, pos = { x = 1892.755, y = 226.607, z = -904.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景猎人引导1
	[471005] = { config_id = 471005, gadget_id = 44000106, pos = { x = 1892.755, y = 226.607, z = -904.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵3
	[471006] = { config_id = 471006, gadget_id = 44000107, pos = { x = 1893.382, y = 226.607, z = -904.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	[471012] = { config_id = 471012, gadget_id = 70310066, pos = { x = 1937.827, y = 254.126, z = -908.429 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471013] = { config_id = 471013, gadget_id = 70310008, pos = { x = 1930.570, y = 227.350, z = -959.830 }, rot = { x = 0.000, y = 340.000, z = 0.000 }, level = 1, area_id = 3 },
	[471014] = { config_id = 471014, gadget_id = 44000253, pos = { x = 1947.919, y = 215.471, z = -890.962 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471015] = { config_id = 471015, gadget_id = 44000254, pos = { x = 1954.069, y = 213.289, z = -910.894 }, rot = { x = 0.000, y = 20.000, z = 90.000 }, level = 1, area_id = 3 },
	[471016] = { config_id = 471016, gadget_id = 44000253, pos = { x = 1949.013, y = 215.471, z = -889.072 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471017] = { config_id = 471017, gadget_id = 44000253, pos = { x = 1955.276, y = 213.832, z = -884.026 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[471018] = { config_id = 471018, gadget_id = 44000253, pos = { x = 1954.349, y = 214.063, z = -885.632 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[471019] = { config_id = 471019, gadget_id = 44000253, pos = { x = 1945.264, y = 215.975, z = -877.272 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 1, area_id = 3 },
	[471020] = { config_id = 471020, gadget_id = 44000253, pos = { x = 1937.030, y = 218.761, z = -884.588 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 1, area_id = 3 },
	[471021] = { config_id = 471021, gadget_id = 44000253, pos = { x = 1938.599, y = 218.703, z = -883.489 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 1, area_id = 3 },
	[471022] = { config_id = 471022, gadget_id = 44000253, pos = { x = 1940.106, y = 218.653, z = -882.433 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 1, area_id = 3 },
	[471023] = { config_id = 471023, gadget_id = 44000253, pos = { x = 1921.372, y = 224.895, z = -885.391 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 1, area_id = 3 },
	[471024] = { config_id = 471024, gadget_id = 44000253, pos = { x = 1923.092, y = 224.897, z = -884.612 }, rot = { x = 0.000, y = 60.000, z = 350.000 }, level = 1, area_id = 3 },
	[471025] = { config_id = 471025, gadget_id = 44000253, pos = { x = 1895.077, y = 226.955, z = -894.029 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 1, area_id = 3 },
	[471026] = { config_id = 471026, gadget_id = 44000253, pos = { x = 1897.399, y = 226.955, z = -893.342 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471027] = { config_id = 471027, gadget_id = 44000253, pos = { x = 1904.055, y = 228.550, z = -882.177 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471028] = { config_id = 471028, gadget_id = 44000253, pos = { x = 1904.055, y = 228.550, z = -884.106 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471029] = { config_id = 471029, gadget_id = 44000253, pos = { x = 1934.473, y = 221.081, z = -900.924 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 1, area_id = 3 },
	[471030] = { config_id = 471030, gadget_id = 44000253, pos = { x = 1932.370, y = 221.081, z = -899.709 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 3 },
	[471031] = { config_id = 471031, gadget_id = 44000253, pos = { x = 1943.390, y = 227.465, z = -915.092 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[471032] = { config_id = 471032, gadget_id = 44000253, pos = { x = 1943.946, y = 227.465, z = -913.351 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[471033] = { config_id = 471033, gadget_id = 44000253, pos = { x = 1931.099, y = 231.869, z = -942.868 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[471034] = { config_id = 471034, gadget_id = 44000253, pos = { x = 1925.211, y = 228.376, z = -944.470 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471035] = { config_id = 471035, gadget_id = 44000253, pos = { x = 1934.535, y = 224.425, z = -928.309 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471036] = { config_id = 471036, gadget_id = 44000253, pos = { x = 1932.714, y = 224.565, z = -928.460 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471037] = { config_id = 471037, gadget_id = 44000253, pos = { x = 1930.845, y = 224.650, z = -928.489 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471038] = { config_id = 471038, gadget_id = 44000253, pos = { x = 1913.800, y = 223.793, z = -932.949 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 1, area_id = 3 },
	[471039] = { config_id = 471039, gadget_id = 44000253, pos = { x = 1913.167, y = 223.740, z = -931.209 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 1, area_id = 3 },
	[471040] = { config_id = 471040, gadget_id = 44000254, pos = { x = 1950.454, y = 213.289, z = -909.535 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[471041] = { config_id = 471041, gadget_id = 44000254, pos = { x = 1951.899, y = 213.289, z = -910.709 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[471042] = { config_id = 471042, gadget_id = 44000254, pos = { x = 1948.101, y = 221.485, z = -909.478 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[471043] = { config_id = 471043, gadget_id = 44000254, pos = { x = 1947.460, y = 221.485, z = -908.270 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[471044] = { config_id = 471044, gadget_id = 44000254, pos = { x = 1943.275, y = 221.485, z = -907.116 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[471045] = { config_id = 471045, gadget_id = 44000254, pos = { x = 1933.699, y = 221.959, z = -907.330 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[471046] = { config_id = 471046, gadget_id = 44000254, pos = { x = 1920.201, y = 224.353, z = -942.442 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[471047] = { config_id = 471047, gadget_id = 44000254, pos = { x = 1919.093, y = 224.353, z = -943.556 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[471048] = { config_id = 471048, gadget_id = 44000254, pos = { x = 1905.167, y = 225.023, z = -925.015 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[471049] = { config_id = 471049, gadget_id = 44000254, pos = { x = 1906.268, y = 225.023, z = -923.962 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[471050] = { config_id = 471050, gadget_id = 44000254, pos = { x = 1896.985, y = 229.361, z = -890.137 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[471051] = { config_id = 471051, gadget_id = 44000254, pos = { x = 1895.021, y = 229.133, z = -889.079 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471052] = { config_id = 471052, gadget_id = 44000254, pos = { x = 1890.412, y = 230.542, z = -917.361 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[471053] = { config_id = 471053, gadget_id = 44000254, pos = { x = 1892.208, y = 230.987, z = -916.950 }, rot = { x = 0.000, y = 40.000, z = 90.000 }, level = 1, area_id = 3 },
	[471054] = { config_id = 471054, gadget_id = 44000254, pos = { x = 1903.081, y = 230.819, z = -917.769 }, rot = { x = 0.000, y = 60.000, z = 90.000 }, level = 1, area_id = 3 },
	[471055] = { config_id = 471055, gadget_id = 44000254, pos = { x = 1902.549, y = 230.336, z = -915.791 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 1, area_id = 3 },
	[471056] = { config_id = 471056, gadget_id = 44000254, pos = { x = 1941.347, y = 224.627, z = -938.014 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 1, area_id = 3 },
	[471057] = { config_id = 471057, gadget_id = 44000254, pos = { x = 1941.836, y = 224.487, z = -939.287 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, level = 1, area_id = 3 },
	[471058] = { config_id = 471058, gadget_id = 44000254, pos = { x = 1937.364, y = 226.543, z = -905.244 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 1, area_id = 3 },
	[471059] = { config_id = 471059, gadget_id = 44000254, pos = { x = 1942.294, y = 227.455, z = -906.863 }, rot = { x = 0.000, y = 5.000, z = 90.000 }, level = 1, area_id = 3 },
	[471060] = { config_id = 471060, gadget_id = 44000254, pos = { x = 1909.767, y = 237.061, z = -943.309 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[471061] = { config_id = 471061, gadget_id = 44000254, pos = { x = 1913.634, y = 221.876, z = -906.548 }, rot = { x = 0.000, y = 20.000, z = 90.000 }, level = 1, area_id = 3 },
	[471062] = { config_id = 471062, gadget_id = 44000254, pos = { x = 1958.861, y = 215.884, z = -912.514 }, rot = { x = 0.000, y = 20.000, z = 90.000 }, level = 1, area_id = 3 },
	[471063] = { config_id = 471063, gadget_id = 44000254, pos = { x = 1955.116, y = 216.951, z = -931.482 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[471064] = { config_id = 471064, gadget_id = 44000253, pos = { x = 1929.400, y = 221.603, z = -906.489 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 1, area_id = 3 },
	-- 场景诱饵1
	[471065] = { config_id = 471065, gadget_id = 44000107, pos = { x = 1893.382, y = 226.607, z = -905.988 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵2
	[471066] = { config_id = 471066, gadget_id = 44000107, pos = { x = 1893.382, y = 226.607, z = -905.212 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵3
	[471067] = { config_id = 471067, gadget_id = 44000107, pos = { x = 1893.382, y = 226.607, z = -904.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 能量球物件
	[471068] = { config_id = 471068, gadget_id = 44000105, pos = { x = 1937.303, y = 223.838, z = -934.043 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	[471069] = { config_id = 471069, gadget_id = 70310008, pos = { x = 1928.850, y = 212.950, z = -959.340 }, rot = { x = 75.000, y = 180.000, z = 180.000 }, level = 1, area_id = 3 },
	-- 场景猎人引导1
	[471074] = { config_id = 471074, gadget_id = 44000106, pos = { x = 1892.755, y = 226.607, z = -904.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵3
	[471081] = { config_id = 471081, gadget_id = 44000107, pos = { x = 1893.382, y = 226.607, z = -904.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵3
	[471082] = { config_id = 471082, gadget_id = 44000107, pos = { x = 1893.382, y = 226.607, z = -904.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵3
	[471083] = { config_id = 471083, gadget_id = 44000107, pos = { x = 1893.382, y = 226.607, z = -904.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵3
	[471084] = { config_id = 471084, gadget_id = 44000107, pos = { x = 1893.382, y = 226.607, z = -904.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵3
	[471085] = { config_id = 471085, gadget_id = 44000107, pos = { x = 1893.382, y = 226.607, z = -904.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	[471092] = { config_id = 471092, gadget_id = 70310057, pos = { x = 1943.947, y = 212.020, z = -919.926 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 }
}

-- 区域
regions = {
	[471001] = { config_id = 471001, shape = RegionShape.SPHERE, radius = 200, pos = { x = 1898.663, y = 198.055, z = -913.058 }, area_id = 3 },
	[471002] = { config_id = 471002, shape = RegionShape.SPHERE, radius = 85, pos = { x = 1934.955, y = 254.717, z = -914.782 }, area_id = 3 },
	[471011] = { config_id = 471011, shape = RegionShape.SPHERE, radius = 16, pos = { x = 1891.177, y = 222.448, z = -900.921 }, area_id = 3 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 471007, pos = { x = 1885.754, y = 228.033, z = -903.144 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, area_id = 3 },
	{ config_id = 471008, pos = { x = 1899.442, y = 224.781, z = -904.966 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, area_id = 3 },
	{ config_id = 471009, pos = { x = 1899.588, y = 224.627, z = -900.866 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, area_id = 3 },
	{ config_id = 471010, pos = { x = 1898.898, y = 225.227, z = -897.362 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, area_id = 3 },
	-- 能量随机1
	{ config_id = 471075, pos = { x = 1937.303, y = 223.838, z = -934.043 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机2
	{ config_id = 471076, pos = { x = 1901.837, y = 229.860, z = -910.113 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机3
	{ config_id = 471077, pos = { x = 1903.865, y = 228.437, z = -886.261 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机4
	{ config_id = 471078, pos = { x = 1952.092, y = 211.397, z = -904.934 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机5
	{ config_id = 471079, pos = { x = 1911.654, y = 231.937, z = -935.307 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机6
	{ config_id = 471080, pos = { x = 1937.043, y = 218.755, z = -881.002 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 }
}

-- 变量
variables = {
}

-- 视野组
sight_groups = {
	{ 471003, 471065, 471066, 471067, 471068 }
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 471003 },
		regions = { 471001, 471002, 471011 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = 50%概率随机刷,
		monsters = { },
		gadgets = { 471014, 471015, 471016, 471017, 471018, 471019, 471020, 471021, 471022, 471023, 471024, 471025, 471026, 471027, 471028, 471029, 471030, 471031, 471032, 471033, 471034, 471035, 471036, 471037, 471038, 471039, 471040, 471041, 471042, 471043, 471044, 471045, 471046, 471047, 471048, 471049, 471050, 471051, 471052, 471053, 471054, 471055, 471056, 471057, 471058, 471059, 471060, 471061, 471062, 471063, 471064 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = 必刷,
		monsters = { },
		gadgets = { 471012, 471013, 471069, 471092 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = 先不刷了,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V1_5/HideAndSeek_Gallery"
require "V1_5/HideAndSeek_Skill"
